﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://aka.ms/download-jdk/microsoft-jdk-21.0.2-windows-x64.msi'
$checksum = '753c195bafc7481574f0e2ac07ae4b2929892933bfb84ba81d2d3f58ef1452c1'

$packageArgs = @{
    PackageName = $env:ChocolateyPackageName
    Url64bit = $url
    Checksum64 = $checksum
    ChecksumType64 = 'sha256'
    fileType      = 'msi'
    silentArgs    = "INSTALLLEVEL=3 /quiet"
  }
  
Install-ChocolateyPackage @packageArgs
